import zod from "zod";
export declare const createCategoryCreateValidation: () => zod.ZodObject<zod.objectUtil.extendShape<{
    name: zod.ZodString;
    url: zod.ZodString;
    layout: zod.ZodString;
}, {
    slug: zod.ZodString;
    createdOn: zod.ZodOptional<zod.ZodDate>;
    createdBy: zod.ZodOptional<zod.ZodObject<{
        id: zod.ZodString;
        type: zod.ZodString;
        displayName: zod.ZodNullable<zod.ZodString>;
    }, "strip", zod.ZodTypeAny, {
        type: string;
        id: string;
        displayName: string | null;
    }, {
        type: string;
        id: string;
        displayName: string | null;
    }>>;
}>, "strip", zod.ZodTypeAny, {
    name: string;
    layout: string;
    slug: string;
    url: string;
    createdOn?: Date | undefined;
    createdBy?: {
        type: string;
        id: string;
        displayName: string | null;
    } | undefined;
}, {
    name: string;
    layout: string;
    slug: string;
    url: string;
    createdOn?: Date | undefined;
    createdBy?: {
        type: string;
        id: string;
        displayName: string | null;
    } | undefined;
}>;
export declare const createCategoryUpdateValidation: () => zod.ZodObject<{
    name: zod.ZodOptional<zod.ZodString>;
    url: zod.ZodOptional<zod.ZodString>;
    layout: zod.ZodOptional<zod.ZodString>;
}, "strip", zod.ZodTypeAny, {
    name?: string | undefined;
    layout?: string | undefined;
    url?: string | undefined;
}, {
    name?: string | undefined;
    layout?: string | undefined;
    url?: string | undefined;
}>;
